package com.aston;

/**
 * All marks values.
 * 
 * Marks are used in template files.
 * 
 * Part of the <a href="http://renaud91.free.fr/Plugins>Aston Wizard</a><br>
 *
 * @author 
 * <ul>
 * 	<li><a href="mailto:renaud91@free.fr">Ferret Renaud</a></li>
 * </ul>
 * @version 1.0
 * @since Eclipse 2.0
 */
public interface Marks {
	public final static String MARK_CLASS_NAME = "<aw:className";
	public final static String MARK_PACKAGE_NAME = "<aw:packageName";
 
	public final static String MARK_CONTAINED_TYPE = "<aw:containedTypeEntered";
	public final static String MARK_CONTAINED_TYPE_CLASS_NAME =
		"<aw:containedTypeClassName";
	public final static String MARK_CONTAINED_TYPE_AS_NULL =
		"<aw:containedTypeAsNull";
	public final static String MARK_CONTAINED_TYPE_AS_OBJECT =
		"aw:containedTypeAsObject";
	public final static String MARK_CONTAINED_TYPE_AS_VALUE =
		"aw:containedTypeAsValue";

	public final static String MARK_CONTAINED_KEY = "<aw:containedKeyEntered";
	public final static String MARK_CONTAINED_KEY_CLASS_NAME =
		"<aw:containedKeyClassName";
	public final static String MARK_CONTAINED_KEY_AS_NULL =
		"<aw:containedKeyAsNull";
	public final static String MARK_CONTAINED_KEY_AS_OBJECT =
		"aw:containedKeyAsObject";
	public final static String MARK_CONTAINED_KEY_AS_VALUE =
		"aw:containedKeyAsValue";

	public final static String MARK_PARENT_CLASS_BEGIN = "aw:parentClass";

	public final static String MARK_LIST_TYPE = "<aw:listType";
	public final static String MARK_MAP_TYPE = "<aw:mapType";
	public final static String MARK_SET_TYPE = "<aw:setType";

	public final static String MARK_IMPLEMENTS_INTERFACE = "aw:interface";
	public final static String MARK_CONSTRUCTOR = "aw:constructor";
	public final static String MARK_METHOD = "aw:method";
	public final static String MARK_FIELD = "aw:field";
	public final static String MARK_INERTYPE = "aw:inertype";
	public final static String MARK_IMPORT = "aw:import";

	public final static String MARK_APPLET_CODE_BASE = "<aw:appletCodeBase";
	public final static String MARK_APPLET_NAME = "<aw:appletName";
	public final static String MARK_APPLET_CLASS = "<aw:appletClass";
	public final static String MARK_APPLET_WIDTH = "<aw:appletWidth";
	public final static String MARK_APPLET_HEIGHT = "<aw:appletHeight";

	public final static String MARK_HTML_TITLE = "<aw:title";
	public final static String MARK_HTML_DOCTYPE = "<aw:doctype";

	public final static String MARK_JSP_MAPPING_URL = "${JSP_MAPPING_URL}";
	public final static String MARK_JSP_DISPLAY_NAME = "${JSP_DISPLAY_NAME}";
	public final static String MARK_JSP_KEY_NAME = "${JSP_KEY_NAME}";
	public final static String MARK_JSP_DESCRIPTION = "${JSP_DESCRIPTION}";

	public final static String MARK_TEMPLATE_NAME = "${TEMPLATE_NAME}";
	public final static String MARK_FILE_NAME = "${FILE_NAME}";
	public final static String MARK_FILE_PATH = "${FILE_PATH}";

	public final static String TOKEN_NAME = "name";
}
